package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the ScannerInfo entity interface here
 */
public interface IScannerInfo extends IEntity {

	
	/**
	 * Set the DeviceId
	 *
	 * @param deviceId
	 * @throws PropertyValidationException
	 */
	public void setDeviceId(String deviceId) throws PropertyValidationException;
	
	/**
	 * Get the DeviceId
	 *
	 * @return deviceId
	 */
	public String getDeviceId();
	
	
	/**
	 * Set the DeviceIp
	 *
	 * @param deviceIp
	 * @throws PropertyValidationException
	 */
	public void setDeviceIp(String deviceIp) throws PropertyValidationException;
	
	/**
	 * Get the DeviceIp
	 *
	 * @return deviceIp
	 */
	public String getDeviceIp();
	
	
}
