package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the StatusDetail entity interface here
 */
public interface IStatusDetail extends IEntity {

	
	/**
	 * Set the AcquirementStatus
	 *
	 * @param acquirementStatus
	 * @throws PropertyValidationException
	 */
	public void setAcquirementStatus(String acquirementStatus) throws PropertyValidationException;
	
	/**
	 * Get the AcquirementStatus
	 *
	 * @return acquirementStatus
	 */
	public String getAcquirementStatus();
	
	
	/**
	 * Set the Frozen
	 *
	 * @param frozen
	 * @throws PropertyValidationException
	 */
	public void setFrozen(boolean frozen) throws PropertyValidationException;
	
	/**
	 * Get the Frozen
	 *
	 * @return frozen
	 */
	public boolean getFrozen();
	
	
}
