package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the User entity interface here
 */
public interface IUser extends IEntity {

	
	/**
	 * Set the UserId
	 *
	 * @param userId
	 * @throws PropertyValidationException
	 */
	public void setUserId(String userId) throws PropertyValidationException;
	
	/**
	 * Get the UserId
	 *
	 * @return userId
	 */
	public String getUserId();
	
	
}
