package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the ShopInfo entity interface here
 */
public interface IShopInfo extends IEntity {

	
	/**
	 * Set the ShopId
	 *
	 * @param shopId
	 * @throws PropertyValidationException
	 */
	public void setShopId(String shopId) throws PropertyValidationException;
	
	/**
	 * Get the ShopId
	 *
	 * @return shopId
	 */
	public String getShopId();
	
	
	/**
	 * Set the ShopName
	 *
	 * @param shopName
	 * @throws PropertyValidationException
	 */
	public void setShopName(String shopName) throws PropertyValidationException;
	
	/**
	 * Get the ShopName
	 *
	 * @return shopName
	 */
	public String getShopName();
	
	
}
